Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class InstanceStateChange

    java.lang.Object
      com.amazonaws.services.ec2.model.InstanceStateChange

    public class InstanceStateChange

extends Object

Represents a state change for a specific EC2 instance.

Constructor Summary
`InstanceStateChange()`

Method Summary
`InstanceState` | `getCurrentState()` The current state of the specified instance.
`String` | `getInstanceId()` The ID of the instance whose state changed.
`InstanceState` | `getPreviousState()` The previous state of the specified instance.
`void` | `setCurrentState(InstanceState currentState)` The current state of the specified instance.
`void` | `setInstanceId(String instanceId)` The ID of the instance whose state changed.
`void` | `setPreviousState(InstanceState previousState)` The previous state of the specified instance.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`InstanceStateChange` | `withCurrentState(InstanceState currentState)` The current state of the specified instance.
`InstanceStateChange` | `withInstanceId(String instanceId)` The ID of the instance whose state changed.
`InstanceStateChange` | `withPreviousState(InstanceState previousState)` The previous state of the specified instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstanceStateChange

    public InstanceStateChange()

Method Detail

### getInstanceId

    public String getInstanceId()

  The ID of the instance whose state changed.

  Returns:
    The ID of the instance whose state changed.

### setInstanceId

    public void setInstanceId(String instanceId)

  The ID of the instance whose state changed.

  Parameters:
    `instanceId` - The ID of the instance whose state changed.

### withInstanceId

    public InstanceStateChange withInstanceId(String instanceId)

  The ID of the instance whose state changed.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `instanceId` - The ID of the instance whose state changed.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCurrentState

    public InstanceState getCurrentState()

  The current state of the specified instance.

  Returns:
    The current state of the specified instance.

### setCurrentState

    public void setCurrentState(InstanceState currentState)

  The current state of the specified instance.

  Parameters:
    `currentState` - The current state of the specified instance.

### withCurrentState

    public InstanceStateChange withCurrentState(InstanceState currentState)

  The current state of the specified instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `currentState` - The current state of the specified instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPreviousState

    public InstanceState getPreviousState()

  The previous state of the specified instance.

  Returns:
    The previous state of the specified instance.

### setPreviousState

    public void setPreviousState(InstanceState previousState)

  The previous state of the specified instance.

  Parameters:
    `previousState` - The previous state of the specified instance.

### withPreviousState

    public InstanceStateChange withPreviousState(InstanceState previousState)

  The previous state of the specified instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `previousState` - The previous state of the specified instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.